Intrusion Prevention

MatrixSSL.Verify.X.509.Certificate.Stack.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Memory Corruption vulnerability in MatrixSSL.
The vulnerability is due to an error when the vulnerable software attempts to improper validate a user-supplied key size. An attacker can exploit this by crafting special X.509 certificate and execute arbitrary code within the context of the application.

Affected Products

MatrixSSL before 4.0.2

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.insidesecure.com/Products/Network-security/Secure-Communication-Toolkits/Inside-Secure-TLS-Toolkit